| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UpdateManagerException Class Reference

Exception thrown by the UpdateManagerSvc when something goes wrong. More...

`#include <GaudiKernel/UpdateManagerException.h>`

Inheritance diagram for UpdateManagerException:
[legend]
Collaboration diagram for UpdateManagerException:
[legend]

## Public Member Functions
| UpdateManagerException (const std::string &Message="unspecified exception", const std::string &Tag="*UpdateManagerSvc*", const StatusCode &Code=StatusCode::FAILURE)
| Standard constructor. More...
| UpdateManagerException (const std::string &Message, const std::string &Tag, const StatusCode &Code, const GaudiException &Ex)
virtual | ~UpdateManagerException () throw ()
| Destructor. More...
virtual UpdateManagerException * | clone () const override
| Clone the exception. More...
Public Member Functions inherited from GaudiException
| GaudiException (std::string Message, std::string Tag, StatusCode Code)
| Constructor (1) More...
| GaudiException (std::string Message, std::string Tag, StatusCode Code, const GaudiException &Exception)
| Constructor (2) More...
| GaudiException (std::string Message, std::string Tag, StatusCode Code, const std::exception &Exception)
| Constructor (3) More...
| GaudiException (const GaudiException &Exception)
| Copy constructor (deep copying!) More...
virtual | ~GaudiException () throw ()
| destructor (perform the deletion of "previous" field!) More...
GaudiException & | operator= (const GaudiException &Exception)
| assignment operator More...
virtual const std::string & | message () const
| error message to be printed More...
virtual const std::string & | setMessage (const std::string &newMessage)
| update the error message to be printed More...
virtual const std::string & | tag () const
| name tag for the exception, or exception type More...
virtual const std::string & | setTag (const std::string &newTag)
| update name tag More...
virtual const StatusCode & | code () const
| StatusCode for Exception. More...
virtual const StatusCode & | setCode (const StatusCode &newStatus)
| update the status code for the exception More...
virtual GaudiException * | previous () const
| get the previous exception ( "previous" element in the linked list) More...
virtual std::ostream & | printOut (std::ostream &os=std::cerr) const
| methods for overloaded printout to std::ostream& and MsgStream& More...
virtual MsgStream & | printOut (MsgStream &os) const
| Output the exception to the Gaudi MsgStream. More...
const char * | what () const override throw ()
| method from std::exception More...
Public Member Functions inherited from std::exception
T | what (T...args)
T | ~exception (T...args)
T | operator= (T...args)
T | exception (T...args)

## Additional Inherited Members
Protected Attributes inherited from GaudiException
std::string | m_message
std::string | m_tag
| error message More...
StatusCode | m_code
| exception tag More...
std::unique_ptr< GaudiException > | m_previous
| status code for exception More...
Static Protected Attributes inherited from GaudiException
static bool | s_proc
| "previous" element in the linked list More...

## Detailed Description

Exception thrown by the UpdateManagerSvc when something goes wrong.

See also
  GaudiException

Author
  Marco Clemencic

Date
  2005-12-14

Definition at line 16 of file UpdateManagerException.h.

## Constructor & Destructor Documentation

UpdateManagerException::UpdateManagerException | ( | const std::string & | Message = `"unspecified exception"`,
|  | const std::string & | Tag = `"*UpdateManagerSvc*"`,
|  | const StatusCode & | Code = `StatusCode::FAILURE`
| ) |  |
| inline

Standard constructor.

Definition at line 20 of file UpdateManagerException.h.

22 : GaudiException( Message, Tag, Code )
23 {
24 }
GaudiException::GaudiException
GaudiException(std::string Message, std::string Tag, StatusCode Code)
Constructor (1)
Definition: GaudiException.h:37

UpdateManagerException::UpdateManagerException | ( | const std::string & | Message,
|  | const std::string & | Tag,
|  | const StatusCode & | Code,
|  | const GaudiException & | Ex
| ) |  |
| inline

Definition at line 26 of file UpdateManagerException.h.

28 : GaudiException( Message, Tag, Code, Ex )
29 {
30 }
GaudiException::GaudiException
GaudiException(std::string Message, std::string Tag, StatusCode Code)
Constructor (1)
Definition: GaudiException.h:37

virtual UpdateManagerException::~UpdateManagerException | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

Destructor.

Definition at line 33 of file UpdateManagerException.h.

33 {}

## Member Function Documentation

virtual UpdateManagerException* UpdateManagerException::clone | ( |  | ) | const
| inline override virtual

Clone the exception.

Reimplemented from GaudiException.

Definition at line 36 of file UpdateManagerException.h.

36 { return new UpdateManagerException( *this ); }
UpdateManagerException::UpdateManagerException
UpdateManagerException(const std::string &Message="unspecified exception", const std::string &Tag="*UpdateManagerSvc*", const StatusCode &Code=StatusCode::FAILURE)
Standard constructor.
Definition: UpdateManagerException.h:20

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/UpdateManagerException.h